## gedit-plugins 44.0

=== debian/changelog ===
gedit-plugins (44.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum gedit to 44

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 06 Jan 2023 09:51:51 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gedit-plugins
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome (>= 0.22),
               dh-sequence-python3,
               meson (>= 0.50),
               appstream,
               itstool,
               libdbus-1-dev,
               libgit2-glib-1.0-dev (>= 0.0.6),
               libglib2.0-dev (>= 2.32.0),
               libgtk-3-dev (>= 3.9.0),
               libgtksourceview-4-dev,
               libgucharmap-2-90-dev,
               libpeas-dev (>= 1.14.1),
               valac (>= 0.28.0),
               libvte-2.91-dev,
               gedit-dev (>= 44.0),
               python3,
               python3-dbus (>= 0.83.1),
               python-dbus-dev,
               python3-gi
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/gnome-team/gedit-plugins
Vcs-Git: https://salsa.debian.org/gnome-team/gedit-plugins.git
Homepage: https://wiki.gnome.org/Apps/Gedit#Plugins

Package: gedit-plugins
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gedit-plugin-bookmarks,
         gedit-plugin-bracket-completion,
         gedit-plugin-character-map,
         gedit-plugin-code-comment,
         gedit-plugin-color-picker,
         gedit-plugin-color-schemer,
         gedit-plugin-draw-spaces,
         gedit-plugin-git,
         gedit-plugin-join-lines,
         gedit-plugin-multi-edit,
         gedit-plugin-session-saver,
         gedit-plugin-smart-spaces,
         gedit-plugin-synctex,
         gedit-plugin-terminal,
         gedit-plugin-text-size,
         gedit-plugin-word-completion,
Enhances: gedit
Description: set of plugins for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 The plugins are now split in separate packages; this metapackage brings all
 of them but they can be installed separately.

Package: gedit-plugins-common
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: common files for gedit-plugins
 gedit-plugins contain a set of plugins for gedit.
 .
 This package contains common data files and translations.

Package: gedit-plugin-bookmarks
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version})
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Bookmarks plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin enables easy document navigation with bookmarks.

Package: gedit-plugin-bracket-completion
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-peas-1.0,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Bracket Completion plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin automatically adds closing brackets.

Package: gedit-plugin-character-map
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-gtk-3.0,
         gir1.2-gucharmap-2.90,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Character Map plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin allows inserting special characters just by clicking on them.

Package: gedit-plugin-code-comment
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-4,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Code Comment plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin enables commenting or uncommenting blocks of code.

Package: gedit-plugin-color-picker
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Color Picker plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin inserts the hexademical representation of a selected color.

Package: gedit-plugin-color-schemer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-4,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Color Schemer plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin enables editing the color scheme used to display source code.

Package: gedit-plugin-draw-spaces
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version})
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Draw Spaces plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin shows a visual representation of spaces and tabs.

Package: gedit-plugin-git
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-ggit-1.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-4,
         python3-gi,
         python3-gi-cairo
Enhances: gedit
Description: Git plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin highlight lines that have been changed since the last git commit.

Package: gedit-plugin-join-lines
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Join/Split Lines plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin enables joining several lines or splitting long lines.

Package: gedit-plugin-multi-edit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         python3-gi,
         python3-gi-cairo
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Multi Edit plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin enables editing a document in multiple places at once.

Package: gedit-plugin-session-saver
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Session Saver plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin enables saving and restoring a working session.

Package: gedit-plugin-smart-spaces
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-4,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Smart Spaces plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin inserts spaces automatically when pressing the tab key.

Package: gedit-plugin-synctex
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version}),
         ${python3:Depends},
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         gir1.2-peas-1.0,
         python3-dbus,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: SyncTex plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin synchronizes between LaTex (using gedit) and PDF (using evince).

Package: gedit-plugin-terminal
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         gir1.2-peas-1.0,
         gir1.2-vte-2.91,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Terminal plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin embeds a terminal in the bottom pane.

Package: gedit-plugin-text-size
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         python3-gi
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Text Size plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin enables easily increasing and decreasing the text size.

Package: gedit-plugin-word-completion
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gedit (>= ${gnome:Version}),
         gedit (<< ${gnome:NextVersion}),

## gedit-plugins 44.1

=== meson_options.txt ===
option('plugin_bookmarks', type: 'boolean')
option('plugin_bracketcompletion', type: 'boolean')
option('plugin_charmap', type: 'boolean')
option('plugin_codecomment', type: 'boolean')
option('plugin_colorpicker', type: 'boolean')
option('plugin_colorschemer', type: 'boolean')
option('plugin_drawspaces', type: 'boolean')
option('plugin_git', type: 'boolean')
option('plugin_joinlines', type: 'boolean')
option('plugin_multiedit', type: 'boolean')
option('plugin_sessionsaver', type: 'boolean')
option('plugin_smartspaces', type: 'boolean')
option('plugin_synctex', type: 'boolean')
option('plugin_terminal', type: 'boolean')
option('plugin_textsize', type: 'boolean')
option('plugin_wordcompletion', type: 'boolean')

# For developers. Disabling the option speeds up the install.
option(
  'user_documentation',
  type: 'boolean', value: true,
  description: 'Build user documentation'
)

=== debian/changelog ===
gedit-plugins (44.1-2) unstable; urgency=medium

  * Add dependency on gir1.2-tepl-6 to plugins that use it (Closes: #1029386)
  * Drop Python & GIR dependencies from smartspaces plugin:
    it was rewritten in C

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 22 Jan 2023 09:38:40 -0500

gedit-plugins (44.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Update standards version to 4.6.2, no changes needed.

  [ Debian Janitor ]
  * Apply multi-arch hints. + gedit-plugins-common: Add Multi-Arch: same

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 19 Jan 2023 13:27:32 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome (>= 0.22),
                dh-sequence-python3,
@@ -27,7 +27,7 @@
                python3-dbus (>= 0.83.1),
                python-dbus-dev,
                python3-gi
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gedit-plugins
 Vcs-Git: https://salsa.debian.org/gnome-team/gedit-plugins.git
 Homepage: https://wiki.gnome.org/Apps/Gedit#Plugins
@@ -70,6 +70,7 @@
  gedit-plugins contain a set of plugins for gedit.
  .
  This package contains common data files and translations.
+Multi-Arch: same
 
 Package: gedit-plugin-bookmarks
 Architecture: any
@@ -270,6 +271,7 @@
          gedit-plugins-common (>= ${source:Version}),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
+         gir1.2-tepl-6,
          python3-gi
 Enhances: gedit
 Breaks: gedit-plugins (<< 3.22.0-2~)
@@ -287,10 +289,6 @@
          gedit (>= ${gnome:Version}),
          gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version}),
-         gir1.2-glib-2.0,
-         gir1.2-gtk-3.0,
-         gir1.2-gtksource-4,
-         python3-gi
 Enhances: gedit
 Breaks: gedit-plugins (<< 3.22.0-2~)
 Replaces: gedit-plugins (<< 3.22.0-2~)
@@ -311,6 +309,7 @@
          gir1.2-gtk-3.0,
          gir1.2-pango-1.0,
          gir1.2-peas-1.0,
+         gir1.2-tepl-6,
          python3-dbus,
          python3-gi
 Enhances: gedit
@@ -333,6 +332,7 @@
          gir1.2-gtk-3.0,
          gir1.2-pango-1.0,
          gir1.2-peas-1.0,
+         gir1.2-tepl-6,
          gir1.2-vte-2.91,
          python3-gi
 Enhances: gedit
@@ -369,3 +369,5 @@
          ${misc:Depends},
          gedit (>= ${gnome:Version}),
          gedit (<< ${gnome:NextVersion}),
+         gedit-plugins-common (>= ${source:Version})
+Enhances: gedit

## gedit-plugins 46.0

=== debian/changelog ===
gedit-plugins (46.0-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:39:30 +0000

gedit-plugins (46.0-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:38:59 +0000

gedit-plugins (46.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:27:26 +0000

gedit-plugins (46.0-2) unstable; urgency=medium

  * debian/control: Update minimum required meson version to 0.57,
    following upstream
  * debian/rules: Add 'dh_gnome_clean --no-control' to
    'override_dh_gnome_clean' to make it clearer why we use that
    override

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 17 Nov 2023 08:18:36 -0500

gedit-plugins (46.0-1) experimental; urgency=medium

  * New upstream release
  * Drop colorschemer and synctex plugins removed upstream
  * Stop using debian/control.in
  * debian/control: Update Build-Depends following upstream

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 06 Nov 2023 14:45:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,24 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gedit-plugins
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome (>= 0.22),
                dh-sequence-python3,
-               meson (>= 0.50),
+               meson (>= 0.57),
                appstream,
                itstool,
                libdbus-1-dev,
                libgit2-glib-1.0-dev (>= 0.0.6),
                libglib2.0-dev (>= 2.32.0),
                libgtk-3-dev (>= 3.9.0),
-               libgtksourceview-4-dev,
+               libgedit-gtksourceview-dev,
                libgucharmap-2-90-dev,
-               libpeas-dev (>= 1.14.1),
-               valac (>= 0.28.0),
+               libpeas-dev,
                libvte-2.91-dev,
-               gedit-dev (>= 44.0),
+               gedit-dev (>= 46.0),
                python3,
                python3-dbus (>= 0.83.1),
                python-dbus-dev,
@@ -41,14 +37,12 @@
          gedit-plugin-character-map,
          gedit-plugin-code-comment,
          gedit-plugin-color-picker,
-         gedit-plugin-color-schemer,
          gedit-plugin-draw-spaces,
          gedit-plugin-git,
          gedit-plugin-join-lines,
          gedit-plugin-multi-edit,
          gedit-plugin-session-saver,
          gedit-plugin-smart-spaces,
-         gedit-plugin-synctex,
          gedit-plugin-terminal,
          gedit-plugin-text-size,
          gedit-plugin-word-completion,
@@ -136,7 +130,7 @@
          gedit-plugins-common (>= ${source:Version}),
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         gir1.2-gtksource-4,
+         gir1.2-gtksource-300,
          python3-gi
 Enhances: gedit
 Breaks: gedit-plugins (<< 3.22.0-2~)
@@ -165,27 +159,6 @@
  .
  This plugin inserts the hexademical representation of a selected color.
 
-Package: gedit-plugin-color-schemer
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends},
-         gedit (>= ${gnome:Version}),
-         gedit (<< ${gnome:NextVersion}),
-         gedit-plugins-common (>= ${source:Version}),
-         gir1.2-gdkpixbuf-2.0,
-         gir1.2-glib-2.0,
-         gir1.2-gtk-3.0,
-         gir1.2-gtksource-4,
-         python3-gi
-Enhances: gedit
-Breaks: gedit-plugins (<< 3.22.0-2~)
-Replaces: gedit-plugins (<< 3.22.0-2~)
-Description: Color Schemer plugin for gedit
- gedit-plugins contain a set of plugins for gedit.
- .
- This plugin enables editing the color scheme used to display source code.
-
 Package: gedit-plugin-draw-spaces
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -212,7 +185,7 @@
          gir1.2-ggit-1.0,
          gir1.2-glib-2.0,
          gir1.2-gtk-3.0,
-         gir1.2-gtksource-4,
+         gir1.2-gtksource-300,
          python3-gi,
          python3-gi-cairo
 Enhances: gedit
@@ -296,29 +269,6 @@
  gedit-plugins contain a set of plugins for gedit.
  .
  This plugin inserts spaces automatically when pressing the tab key.
-
-Package: gedit-plugin-synctex
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         gedit (>= ${gnome:Version}),
-         gedit (<< ${gnome:NextVersion}),
-         gedit-plugins-common (>= ${source:Version}),
-         ${python3:Depends},
-         gir1.2-glib-2.0,
-         gir1.2-gtk-3.0,
-         gir1.2-pango-1.0,
-         gir1.2-peas-1.0,
-         gir1.2-tepl-6,
-         python3-dbus,
-         python3-gi
-Enhances: gedit
-Breaks: gedit-plugins (<< 3.22.0-2~)
-Replaces: gedit-plugins (<< 3.22.0-2~)
-Description: SyncTex plugin for gedit
- gedit-plugins contain a set of plugins for gedit.
- .
- This plugin synchronizes between LaTex (using gedit) and PDF (using evince).
 
 Package: gedit-plugin-terminal
 Architecture: any
@@ -371,3 +321,9 @@
          gedit (<< ${gnome:NextVersion}),
          gedit-plugins-common (>= ${source:Version})
 Enhances: gedit
+Breaks: gedit-plugins (<< 3.22.0-2~)
+Replaces: gedit-plugins (<< 3.22.0-2~)
+Description: Word Completion plugin for gedit
+ gedit-plugins contain a set of plugins for gedit.
+ .
+ This plugin offers word completion using the completion framework.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_python3:
	dh_python3 --no-ext-rename /usr/lib/$(DEB_HOST_MULTIARCH)/gedit/plugins
	dh_python3 --no-ext-rename /usr/share/gedit/plugins

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/$(DEB_HOST_MULTIARCH)/gedit/

override_dh_gnome_clean:
	dh_gnome_clean --no-control

## gedit-plugins 48.1

=== meson_options.txt ===
# Include or exclude individual plugins.
# By default they are all included (the default value is true).
option('plugin_bookmarks', type: 'boolean')
option('plugin_bracketcompletion', type: 'boolean')
option('plugin_charmap', type: 'boolean')
option('plugin_codecomment', type: 'boolean')
option('plugin_colorpicker', type: 'boolean')
option('plugin_drawspaces', type: 'boolean')
option('plugin_joinlines', type: 'boolean')
option('plugin_multiedit', type: 'boolean')
option('plugin_sessionsaver', type: 'boolean')
option('plugin_smartspaces', type: 'boolean')
option('plugin_terminal', type: 'boolean')
option('plugin_wordcompletion', type: 'boolean')

# For developers. Disabling the option speeds up the install.
option(
  'user_documentation',
  type: 'boolean', value: true,
  description: 'Build user documentation'
)

=== debian/changelog ===
gedit-plugins (48.1-3) unstable; urgency=medium

  * debian/watch: Convert to Version: 5 and update download location
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 17:12:26 -0400

gedit-plugins (48.1-2) unstable; urgency=medium

  * Rebuild against latest libgedit-tepl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 08:11:24 -0400

gedit-plugins (48.1-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
    - git plugin has been removed. text-size is now part of gedit itself
  * Bump minimum gedit
  * Update Homepage and debian/upstream/metadata
  * Run wrap-and-sort
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Feb 2025 11:30:37 -0500

=== debian/control ===
Source: gedit-plugins
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Iain Lane <laney@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome (>= 0.22),
               dh-sequence-python3,
               appstream,
               gedit-dev (>= 48.1),
               itstool,
               libdbus-1-dev,
               libgedit-gtksourceview-dev,
               libgit2-glib-1.0-dev (>= 0.0.6),
               libglib2.0-dev (>= 2.32.0),
               libgtk-3-dev (>= 3.9.0),
               libgucharmap-2-90-dev,
               libpeas-dev,
               libvte-2.91-dev,
               meson (>= 0.57),
               python-dbus-dev,
               python3,
               python3-dbus (>= 0.83.1),
               python3-gi
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gedit-plugins
Vcs-Git: https://salsa.debian.org/gnome-team/gedit-plugins.git
Homepage: https://gedit-text-editor.org/

Package: gedit-plugins
Architecture: all
Depends: gedit-plugin-bookmarks,
         gedit-plugin-bracket-completion,
         gedit-plugin-character-map,
         gedit-plugin-code-comment,
         gedit-plugin-color-picker,
         gedit-plugin-draw-spaces,
         gedit-plugin-join-lines,
         gedit-plugin-multi-edit,
         gedit-plugin-session-saver,
         gedit-plugin-smart-spaces,
         gedit-plugin-terminal,
         gedit-plugin-word-completion,
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: gedit
Description: set of plugins for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 The plugins are now split in separate packages; this metapackage brings all
 of them but they can be installed separately.

Package: gedit-plugins-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: common files for gedit-plugins
 gedit-plugins contain a set of plugins for gedit.
 .
 This package contains common data files and translations.
Multi-Arch: same

Package: gedit-plugin-bookmarks
Architecture: any
Depends: gedit (<< ${gnome:NextVersion}),
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Bookmarks plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin enables easy document navigation with bookmarks.

Package: gedit-plugin-bracket-completion
Architecture: any
Depends: gedit (<< ${gnome:NextVersion}),
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-peas-1.0,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Bracket Completion plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin automatically adds closing brackets.

Package: gedit-plugin-character-map
Architecture: any
Depends: gedit (<< ${gnome:NextVersion}),
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-gtk-3.0,
         gir1.2-gucharmap-2.90,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Character Map plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin allows inserting special characters just by clicking on them.

Package: gedit-plugin-code-comment
Architecture: any
Depends: gedit (<< ${gnome:NextVersion}),
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-gtksource-300,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Code Comment plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin enables commenting or uncommenting blocks of code.

Package: gedit-plugin-color-picker
Architecture: any
Depends: gedit (<< ${gnome:NextVersion}),
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Color Picker plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin inserts the hexademical representation of a selected color.

Package: gedit-plugin-draw-spaces
Architecture: any
Depends: gedit (<< ${gnome:NextVersion}),
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Draw Spaces plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin shows a visual representation of spaces and tabs.

Package: gedit-plugin-join-lines
Architecture: any
Depends: gedit (<< ${gnome:NextVersion}),
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Join/Split Lines plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin enables joining several lines or splitting long lines.

Package: gedit-plugin-multi-edit
Architecture: any
Depends: gedit (<< ${gnome:NextVersion}),
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         python3-gi,
         python3-gi-cairo,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Multi Edit plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin enables editing a document in multiple places at once.

Package: gedit-plugin-session-saver
Architecture: any
Depends: gedit (<< ${gnome:NextVersion}),
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-tepl-6,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Session Saver plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin enables saving and restoring a working session.

Package: gedit-plugin-smart-spaces
Architecture: any
Depends: gedit (<< ${gnome:NextVersion}),
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Smart Spaces plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin inserts spaces automatically when pressing the tab key.

Package: gedit-plugin-terminal
Architecture: any
Depends: gedit (<< ${gnome:NextVersion}),
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         gir1.2-peas-1.0,
         gir1.2-tepl-6,
         gir1.2-vte-2.91,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Terminal plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin embeds a terminal in the bottom pane.

Package: gedit-plugin-word-completion
Architecture: any
Depends: gedit (<< ${gnome:NextVersion}),
         gedit (>= ${gnome:Version}),
         gedit-plugins-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: gedit
Breaks: gedit-plugins (<< 3.22.0-2~)
Replaces: gedit-plugins (<< 3.22.0-2~)
Description: Word Completion plugin for gedit
 gedit-plugins contain a set of plugins for gedit.
 .
 This plugin offers word completion using the completion framework.

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.gnome.org/World/gedit/@PACKAGE@
Matching-Pattern: ([\d.]+\.?(?:beta|rc)?[\d.]*)
